Subject: Re: [PATCH 7/16] powerpc: add support for ps3 platform

From: Geoff Levand <[email-masked]>
Date: Tue, 14 Nov 2006 06:25:13 -0800

Olof Johansson wrote:
>> +config PS3PF_HTAB_SIZE
>> +	depends on PS3PF
>> +	int "PS3 Platform pagetable size"
>> +	range 18 20
>> +	default 20
>> +	help
>> +	  This option is only for experts who may have the desire to fine
>> +	  tune the pagetable size on their system.  The value here is
>> +	  expressed as the log2 of the page table size.  Valid values are
>> +	  18, 19, and 20, corresponding to 256KB, 512KB and 1MB respectively.
>> +
>> +	  If unsure, choose the default (20) with the confidence that your
>> +	  system will have optimal runtime performance.
> 
> Wouldn't it be more understandable if you had a "small/medium/large"
> memory config options (that in itself sets the values) instead of
> having people pick numbers?

In general you'll want the max, 1MB, which is actually small.  This
was intended for tuning embedded systems where it is expected the
user understands the ramifications of pagetable size selection
and the log2 values will be familiar.

The trouble I see with having the options you suggest is that if a
future version of the HV supports different sizes, then how do you
map those into your "small/medium/large" scheme?  With numbers it
falls out naturally.

-Geoff